# AI Context Awareness & Customization

There are many ways an AI Macro can generate a response. This is largely dependent on what context the AI has to answer the request. For example, GPT-3 is trained on data leading up to June 2021. This means that if you ask it something about today's weather in 2023, it will probably not give you an accurate answer.

This is where we come in. Our macros have the ability to be context aware, and it is up to you what kind of context you would like to provide your AI. Do you want it answer your prompts with information from Google? Or would would you like it to securely grab data from documents you personally upload?

In these next few pages, we'll teach you how to control what context your AI uses to guarantee the best results for you!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rekap.com/api/docs-archive/docs-archive/ai-context-awareness-and-customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
